## allelecount 4.1.0

=== debian/changelog ===
allelecount (4.1.0-3) unstable; urgency=medium

  * Just use Build-Depends to enable build time testing
    Closes: #960757

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 15:27:25 +0200

allelecount (4.1.0-2) unstable; urgency=medium

  * Fix license
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 15 May 2020 22:12:08 +0200

allelecount (4.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #960345)

 -- Andreas Tille <tille@debian.org>  Tue, 12 May 2020 11:41:31 +0200
