=== debian/control ===
Source: allelecount
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Testsuite: autopkgtest-pkg-perl
Build-Depends: debhelper-compat (= 12),
               libhts-dev,
               libbz2-dev,
               libconst-fast-perl <!nocheck>,
               libdevel-cover-perl <!nocheck>,
               libfile-slurp-perl <!nocheck>,
               libfile-which-perl <!nocheck>,
               libipc-system-simple-perl <!nocheck>,
               libpod-coverage-perl <!nocheck>,
               libtest-fatal-perl (>= 0.013) <!nocheck>,
               libtry-tiny-perl <!nocheck>,
               perl
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/allelecount
Vcs-Git: https://salsa.debian.org/med-team/allelecount.git
Homepage: https://github.com/cancerit/alleleCount
Rules-Requires-Root: no

Package: allelecount
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: NGS copy number algorithms
 Support code for NGS copy number algorithms. Takes a file of locations
 and a [cr|b]am file and generates a count of coverage of each allele
 [ACGT] at that location (given any filter settings).
 .
 The alleleCount package primarily exists to prevent code duplication
 between some other projects, specifically AscatNGS and Battenberg.

Package: liballelecount-perl
Architecture: all
Section: perl
Depends: ${misc:Depends},
         ${perl:Depends},
         libconst-fast-perl,
         libdevel-cover-perl,
         libfile-slurp-perl,
         libfile-which-perl,
         libipc-system-simple-perl,
         libpod-coverage-perl,
         libtest-fatal-perl (>= 0.013),
         libtry-tiny-perl
Description: Perl interface to NGS copy number algorithms
 Support code for NGS copy number algorithms. Takes a file of locations
 and a [cr|b]am file and generates a count of coverage of each allele
 [ACGT] at that location (given any filter settings).
 .
 The alleleCount package primarily exists to prevent code duplication
 between some other projects, specifically AscatNGS and Battenberg.
 .
 This package provided the Perl interface to alleleCounter providing
 Sanger::CGP::AlleleCount::Genotype.
