## allelecount 4.2.0

=== debian/changelog ===
allelecount (4.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Add autopkgtests

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 03 Oct 2020 20:36:32 +0530
