=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

# for hardening you might like to uncomment this:
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean --sourcedirectory=c
	dh_auto_clean --sourcedirectory=perl

override_dh_auto_configure:
	dh_auto_configure --sourcedirectory=c
	dh_auto_configure --sourcedirectory=perl

override_dh_auto_build:
	dh_auto_build --sourcedirectory=c
	dh_auto_build --sourcedirectory=perl

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test --sourcedirectory=c
	dh_auto_test --sourcedirectory=perl
endif

override_dh_auto_install:
	dh_auto_install --sourcedirectory=c
	dh_auto_install --sourcedirectory=perl
