## allelecount 4.2.1

=== debian/changelog ===
allelecount (4.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 21 Nov 2020 17:30:11 +0530
