=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: science
 Priority: optional
 Testsuite: autopkgtest-pkg-perl
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libhts-dev,
                libbz2-dev,
                libconst-fast-perl <!nocheck>,
