## allelecount 4.3.0

=== debian/changelog ===
allelecount (4.3.0-3) unstable; urgency=medium

  * Build with make 4.4.1 (no-parallel)
  * Standards-Version: 4.7.0 (routine-update)
  * Update lintian override info format in
    d/liballelecount-perl.lintian-overrides on line 2.
  * Fix d/copyright (thanks to lrc)

 -- Andreas Tille <tille@debian.org>  Tue, 10 Dec 2024 17:19:18 +0100

allelecount (4.3.0-2) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 30 Sep 2022 13:13:15 +0200

allelecount (4.3.0-1.1) unstable; urgency=medium

  [ Andreas Tille ]
  * Non-maintainer upload.
  * Propagate hardening flags

  [ Nilesh Patra ]
  * Add libjson-perl to Depends (fixes debci)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 07 Oct 2021 16:42:55 +0530

allelecount (4.3.0-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * Fix watchfile to detect new versions on github (routine-update)

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Build-Depends: libjson-perl

 -- Andreas Tille <tille@debian.org>  Fri, 10 Sep 2021 09:53:57 +0200
