=== debian/control ===
--- 
+++ 
@@ -12,11 +12,12 @@
                libfile-slurp-perl <!nocheck>,
                libfile-which-perl <!nocheck>,
                libipc-system-simple-perl <!nocheck>,
+               libjson-perl <!nocheck>,
                libpod-coverage-perl <!nocheck>,
-               libtest-fatal-perl (>= 0.013) <!nocheck>,
+               libtest-fatal-perl <!nocheck>,
                libtry-tiny-perl <!nocheck>,
                perl
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/allelecount
 Vcs-Git: https://salsa.debian.org/med-team/allelecount.git
 Homepage: https://github.com/cancerit/alleleCount
@@ -45,8 +46,9 @@
          libfile-which-perl,
          libipc-system-simple-perl,
          libpod-coverage-perl,
-         libtest-fatal-perl (>= 0.013),
-         libtry-tiny-perl
+         libtest-fatal-perl,
+         libtry-tiny-perl,
+         libjson-perl
 Description: Perl interface to NGS copy number algorithms
  Support code for NGS copy number algorithms. Takes a file of locations
  and a [cr|b]am file and generates a count of coverage of each allele
