=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	dh_auto_configure --sourcedirectory=perl
 
 override_dh_auto_build:
-	dh_auto_build --sourcedirectory=c
+	dh_auto_build --sourcedirectory=c --no-parallel
 	dh_auto_build --sourcedirectory=perl
 
 override_dh_auto_test:
